#include "VideoModel.hpp"

namespace components {
    Glib::RefPtr<VideoModel> VideoModel::create(int id, std::string yt_id, const Glib::ustring& title)
    {
        return Glib::make_refptr_for_instance<VideoModel>(
            new VideoModel(
                id,
                yt_id,
                title
            )
        );
    }

    VideoModel::VideoModel(int id, std::string yt_id, const Glib::ustring& title)
        : m_id(id)
        , m_yt_id(yt_id)
        , m_title(title)
        {}
}