#pragma once
#include <glibmm/ustring.h>
#include <giomm/liststore.h>
#include <string>

namespace components {
    class VideoModel : public Glib::Object
    {
    public:
        // ID в БД
        int m_id;
        // ID на YouTube
        std::string m_yt_id;
        // Название видео
        Glib::ustring m_title;
        // Метод создания
        static Glib::RefPtr<VideoModel> create(int id, std::string yt_id, const Glib::ustring& title);

    protected:
        VideoModel(int id, std::string yt_id, const Glib::ustring& title);
    };
}